%define majver %(echo %version | cut -d. -f1-2)

Name:          kconfigwidgets
Version:       5.11.0
Release:       1mamba
Summary:       KDE Frameworks 5 widgets for configuration dialogs
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/frameworks/%{majver}/kconfigwidgets-%{version}.tar.xz
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kconfig-devel
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: rpm-macros-kde5
BuildRequires: libQt5Core
BuildRequires: libQt5Gui
BuildRequires: libQt5Widgets
BuildRequires: libQt5DBus
BuildRequires: libQt5Test
BuildRequires: libkconfig-devel
BuildRequires: libki18n-devel
BuildRequires: kdoctools-devel
BuildRequires: gettext
BuildRequires: python
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KConfigWidgets provides easy-to-use classes to create configuration dialogs, as well as a set of widgets which uses KConfig to store their settings.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Widgets for configuration dialogs

%description -n lib%{name}
KConfigWidgets provides easy-to-use classes to create configuration dialogs, as well as a set of widgets which uses KConfig to store their settings.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libkauth-devel
Requires:      libkcodecs-devel
Requires:      libkcoreaddons-devel
Requires:      libkguiaddons-devel
Requires:      libki18n-devel
Requires:      libkwidgetsaddons-devel

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang kconfigwidgets5_qt --with-qt --all-name || touch kconfigwidgets5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name} -f kconfigwidgets5_qt.lang
%defattr(-,root,root)
%{_kde5_bindir}/preparetips5
%{_kde5_libdir}/libKF5ConfigWidgets.so.*
%{_kde5_datadir}/kf5/kconfigwidgets
%{_kde5_datadir}/locale/*/kf5_entry.desktop
%{_kde5_mandir}/man1/*
%doc COPYING COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_kde5_includedir}/KConfigWidgets
%{_kde5_includedir}/kconfigwidgets_version.h
%{_kde5_libdir}/cmake/KF5ConfigWidgets
%{_kde5_libdir}/libKF5ConfigWidgets.so
%{_kde5_mkspecsdir}/qt_KConfigWidgets.pri
%doc README.md

%changelog
* Wed Jun 24 2015 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Tue May 12 2015 Automatic Build System <autodist@mambasoft.it> 5.10.0-1mamba
- automatic version update by autodist

* Sun Apr 26 2015 Davide Madrisan <davide.madrisan@gmail.com> 5.9.0-2mamba
- standardize the specfile and add some missing build requirements

* Wed Apr 15 2015 Automatic Build System <autodist@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Fri Mar 20 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.8.0-1mamba
- update to 5.8.0

* Tue Mar 03 2015 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Fri Feb 13 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-1mamba
- package created using the webbuild interface
